Module Description
===================

Calculator
----------

.. automodule:: parallax.calculator
   :members:
   :undoc-members:
   :private-members:


Calibration Camera
------------------

.. automodule:: parallax.calibration_camera
   :members:
   :undoc-members:
   :private-members:


Camera
------

.. automodule:: parallax.camera
   :members:
   :undoc-members:
   :private-members:


Coordinate Transformation
-------------------------

.. automodule:: parallax.coords_transformation
   :members:
   :undoc-members:
   :private-members:


Current Background Comparison Processor
---------------------------------------

.. automodule:: parallax.curr_bg_cmp_processor
   :members:
   :undoc-members:
   :private-members:


Current Previous Comparison Processor
-------------------------------------

.. automodule:: parallax.curr_prev_cmp_processor
   :members:
   :undoc-members:
   :private-members:


Main Window
------------

.. automodule:: parallax.main_window_wip
   :members:
   :undoc-members:
   :private-members:


Mask Generator
--------------

.. automodule:: parallax.mask_generator
   :members:
   :undoc-members:
   :private-members:


Model
-----

.. automodule:: parallax.model
   :members:
   :undoc-members:
   :private-members:


No Filter
---------

.. automodule:: parallax.no_filter
   :members:
   :undoc-members:
   :private-members:


Axis Filter
-----------

.. automodule:: parallax.axis_filter
   :members:
   :undoc-members:
   :private-members:


Bundle Adjustment
-----------------

.. automodule:: parallax.bundle_adjustment
   :members:
   :undoc-members:
   :private-members:


Probe Calibration
-----------------

.. automodule:: parallax.probe_calibration
   :members:
   :undoc-members:
   :private-members:


Probe Detect Manager
--------------------

.. automodule:: parallax.probe_detect_manager
   :members:
   :undoc-members:
   :private-members:


Probe Detector
--------------

.. automodule:: parallax.probe_detector
   :members:
   :undoc-members:
   :private-members:


Probe Fine Tip Detector
-----------------------

.. automodule:: parallax.probe_fine_tip_detector
   :members:
   :undoc-members:
   :private-members:


Recording Manager
-----------------

.. automodule:: parallax.recording_manager
   :members:
   :undoc-members:
   :private-members:


Reticle Detect Manager
----------------------

.. automodule:: parallax.reticle_detect_manager
   :members:
   :undoc-members:
   :private-members:


Reticle Detection
-----------------

.. automodule:: parallax.reticle_detection
   :members:
   :undoc-members:
   :private-members:


Reticle Detection Coordinates Interests
---------------------------------------

.. automodule:: parallax.reticle_detection_coords_interests
   :members:
   :undoc-members:
   :private-members:


Screen Widget
-------------

.. automodule:: parallax.screen_widget
   :members:
   :undoc-members:
   :private-members:


Stage Listener
--------------

.. automodule:: parallax.stage_listener
   :members:
   :undoc-members:
   :private-members:


Stage UI
--------

.. automodule:: parallax.stage_ui
   :members:
   :undoc-members:
   :private-members:


Stage Widget
------------

.. automodule:: parallax.stage_widget
   :members:
   :undoc-members:
   :private-members:

Point Mesh
------------

.. automodule:: parallax.point_mesh
   :members:
   :undoc-members:
   :private-members:

Reticle Metadata
------------------

.. automodule:: parallax.reticle_metadata
   :members:
   :undoc-members:
   :private-members:

Screen Coordinate
------------------

.. automodule:: parallax.screen_coords_mapper
   :members:
   :undoc-members:
   :private-members:

Screen controller
------------------

.. automodule:: parallax.stage_controller
   :members:
   :undoc-members:
   :private-members:

User Setting Manager
---------------------

.. automodule:: parallax.user_setting_manager
   :members:
   :undoc-members:
   :private-members:


Utils
-----

.. automodule:: parallax.utils
   :members:
   :undoc-members:
   :private-members:


